> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update a dictionary entry

> Create or update an analytics dictionary entry.



## OpenAPI

````yaml post /api/admin/analytics/dictionary
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/analytics/dictionary:
    post:
      tags:
        - Analytics
      description: Create or update an analytics dictionary entry.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                entityType:
                  anyOf:
                    - type: string
                      enum:
                        - event
                    - type: string
                      enum:
                        - trait
                    - type: string
                      enum:
                        - property
                key:
                  type: string
                description:
                  type: string
                synonyms:
                  type: array
                  items:
                    type: string
                dataType:
                  type: string
                exampleValue: {}
                queryable:
                  type: boolean
              required:
                - workspaceId
                - entityType
                - key
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  workspaceId:
                    type: string
                  entityType:
                    anyOf:
                      - type: string
                        enum:
                          - event
                      - type: string
                        enum:
                          - trait
                      - type: string
                        enum:
                          - property
                  key:
                    type: string
                  version:
                    type: number
                  status:
                    anyOf:
                      - type: string
                        enum:
                          - active
                      - type: string
                        enum:
                          - deprecated
                  description:
                    type: string
                  synonyms:
                    type: array
                    items:
                      type: string
                  dataType:
                    type: string
                  exampleValue: {}
                  source:
                    anyOf:
                      - type: string
                        enum:
                          - auto
                      - type: string
                        enum:
                          - manual
                  queryable:
                    type: boolean
                  validFrom:
                    type: string
                  validTo:
                    type: string
                  lastSeenAt:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - workspaceId
                  - entityType
                  - key
                  - version
                  - status
                  - synonyms
                  - source
                  - queryable
                  - validFrom
                  - createdAt
                  - updatedAt
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.